TEMPFILE(1)

NOM
tempfile - crée un fichier temporaire de façon sûre

SYNOPSIS
tempfile [-d REP] [-p CHAÎNE] [-s CHAÎNE] [-m MODE] [-n FICHIER] [--directory=REP] [--prefix=CHAÎNE] [--suffix=CHAÎNE] [--mode=MODE] [--name=FICHIER] [--help] [--version]

DESCRIPTION

Le programme tempfile crée un fichier temporaire d'une façon sûre. Il utilise tempnam(3) pour choisir un nom et l'ouvre dans le mode O_RDWR | O_CREAT | O_EXCL. Le nom du fichier est affiché sur la sortie standard.

The directory in which to create the file might be searched for in this order:

a)  The directory specified by the environment variable TMPDIR, if it exists.

b)  Le répertoire spécifié en argument de --directory, si cette option est utilisée.

c)  Le répertoire /tmp.

See tempnam(3) for the actual steps involved in directory selection.

OPTIONS

-d, --directory REP
    Place le fichier dans REP.

-p, --prefix CHAÎNE
    Utilise jusqu'à cinq lettres de CHAÎNE pour générer le nom.

-s, --suffix CHAÎNE
    Génère le fichier en utilisant CHAÎNE comme suffixe.

-m, --mode MODE
    Ouvre le fichier dans le mode MODE plutôt que 0600.

-n, --name FICHIER
    Utilise FICHIER comme nom plutôt que tempnam(3). Les options -d -p et -s sont ignorées si cette option est utilisée.

--help
    Affiche un message d'aide sur la sortie standard, puis quitte sans erreur.

--version
    Affiche les informations sur la version, puis quitte sans erreur.

VALEURS DE RETOUR
Une valeur de retour 0 signifie que le fichier a été créé avec succès. Toute autre valeur de retour indique une erreur.

BOGUES
Une création exclusive ([ NdT : pour éviter toute situation de compétition, ou « race condition » ]) n'est pas garantie lorsque le fichier est créé sur une partition NFS.

EXAMPLE

    #!/bin/sh
    #[...]
    t=$(tempfile) || exit
    trap "rm -f -- '$t'" EXIT
    #[...]
    rm -f -- "$t"
    trap - EXIT
    exit

VOIR AUSSI
tempnam(3), mktemp(1)

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.